Autor Zpráva
RiZe
Profil
Nainstaloval jsem Apache. Stáhnul jsem verzi 2.053. Zprovoznil PHP 3.4.10. Fachá :) . Jenže se vyskytl docela brutální problém. Mateřský jazyk se rozsypal na čaj. S PHPTriadou to nedělalo. Kódování mám UTF-8. Dělá to jak ve Firefoxu, tak v IE. Co s tím?

2. problém:

PHP mi nevezme xml deklaraci <?xml version="1.0" encoding="UTF-8"?> a píše parser error on line 1. Please help me.
thingwath
Profil
Problém číslo jedna patrně spočívá v tom, že má server nastaveno defaultní kódování. V httpd.conf je to třeba zrušit.

Druhý problém spočívá v tom, že <? uvozuje začátek PHP kódu. Takže se to snaží parser zpracovat, což mu pochopitelně moc nejde.

Podrobné řešení obého není problém dohledat v archivu (a prosímtě nezadávej dva dotazy do jednoho).
Petra
Profil
musíš napsat echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>
RiZe
Profil
2thingwath

Konkrétně, jak se jmenuje ten příkaz (ten řádek ), abych to tam mohl najít a upravit
thingwath
Profil
AddDefaultCharset -něco-

Zakomentuj ho nebo vymaž.
Toto téma je uzamčeno. Odpověď nelze zaslat.